﻿using igGrid_combo.Models;
using Infragistics.Web.Mvc;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace igGrid_combo.Controllers
{
    public class HomeController : Controller
    {
        private PersonViewModel _pvm = new PersonViewModel();
        private TeamViewModel _tvm = new TeamViewModel();

        public HomeController()
        {

        }

        public HomeController(PersonViewModel personViewModel, TeamViewModel teamViewModel)
        {
            this._pvm = personViewModel;
            this._tvm = teamViewModel;
        }
        public ActionResult Index()
        {
            return View(_pvm);
        }

        //[GridDataSourceAction]
        //public ActionResult GridData()
        //{
        //    return View(_pvm.GetPeople().AsQueryable());
        //}

        public JsonResult GridData()
        {
            return Json(_pvm.GetPeople(), JsonRequestBehavior.AllowGet);
        }

        public JsonResult ComboData()
        {

            var data = _tvm;
            if (Request.QueryString["$top"] != null && Request.QueryString["$skip"] != null)
            {
                int top = int.Parse(Request.QueryString["$top"]);
                int skip = int.Parse(Request.QueryString["$skip"]);
                _tvm.Teams = _tvm.Teams.Skip(skip).Take(top).ToList();
                data = _tvm;
            }
            return Json(data, JsonRequestBehavior.AllowGet);
        }
    }
}